BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/send
postTeam ChatAdmin BFF

/bff/team-chat/send

threadRootId = reply in the thread of that message (hidden from the main timeline).

Team chatpostBffTeam-chatSend

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
clientNoncestringRequired

Client-generated id (UUID); makes the send idempotent.

Length: 8–36
contentstringOptional
Length: 0–10000
attachmentTokensstring[]Optional
replyToIdstringOptional

24-char message id.

Length: 24–24
threadRootIdstringOptional

24-char message id.

Length: 24–24

Response schema

1 status code documented

200Success
idstringRequired
positionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
duplicatebooleanRequired

Response example

application/json
{
  "id": "example_id",
  "duplicate": false
}

Request example

POST /bff/team-chat/send

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/send" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "clientNonce": "example_clientNonce",
  "content": "example_content",
  "attachmentTokens": [
    "string"
  ],
  "replyToId": "example_replyToId",
  "threadRootId": "example_threadRootId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key